//Project team Lincoln - Smart fridge addon 28/12/2020
//Mikus Vancans, Thirsa Chin-A-Kwie, Quinty van de Graaf, Stefan Minu, Alex te Riet, Wout Schutten, Menke Veerman

#include <Adafruit_GFX.h>
#include <MCUFRIEND_kbv.h>
MCUFRIEND_kbv tft;       // hard-wired for UNO shields anyway.
#include <TouchScreen.h>

char *name = "Please Calibrate.";  //edit name of shield
const int XP = 8, XM = A2, YP = A3, YM = 9; //ID=0x9341
const int TS_LEFT = 73, TS_RT = 893, TS_TOP = 916, TS_BOT = 110;              //tft display properties


TouchScreen ts = TouchScreen(XP, YP, XM, YM, 300);
TSPoint tp;

Adafruit_GFX_Button up_btn, down_btn, test_btn;

#define MINPRESSURE 200
#define MAXPRESSURE 1000

int16_t BOXSIZE;
int16_t PENRADIUS = 1;
uint16_t ID, oldcolor, currentcolor;
uint8_t Orientation = 1;    //PORTRAIT


int pixel_x, pixel_y;     //Touch_getXY() updates global vars
bool Touch_getXY(void)
{
  TSPoint p = ts.getPoint();
  pinMode(YP, OUTPUT);      //restore shared pins
  pinMode(XM, OUTPUT);
  digitalWrite(YP, HIGH);   //because TFT control pins
  digitalWrite(XM, HIGH);
  bool pressed = (p.z > MINPRESSURE && p.z < MAXPRESSURE);
  if (pressed) {
    pixel_x = map(p.x, TS_LEFT, TS_RT, 0, tft.width()); //.kbv makes sense to me
    pixel_y = map(p.y, TS_TOP, TS_BOT, 0, tft.height());
  }
  return pressed;
}

// Assign human-readable names to some common 16-bit color values:
#define BLACK   0x0000
#define BLUE    0x001F
#define RED     0xF800
#define GREEN   0x07E0
#define CYAN    0x07FF
#define MAGENTA 0xF81F
#define YELLOW  0xFFE0
#define WHITE   0xFFFF

int incomingByte = 0; // for incoming serial data
int y = 5;

void setup(void) {

  uint16_t tmp;

  tft.reset();
  ID = tft.readID();
  tft.begin(ID);
  Serial.begin(9600);
  Serial1.begin(9600);
  tft.setRotation(Orientation);  //Landscape
  tft.fillScreen(BLACK);
  //show_tft();
  //delay(1000);

}


void loop() {
  scroll();
  scan();
  readSerial();
  touchButtons();

}

//create a new entry for a scanned item and display it on the screen
void show_item(String itemName, int x, int y) {
  tft.setCursor(x, y);
  tft.setTextSize(2);
  tft.setTextColor(BLUE);
  tft.fillRect(x, y, tft.width() - 40, 30, WHITE);
  tft.setCursor(x + 5, y + 7);
  tft.print(itemName);

}

//give a new entry a background
void show_tft(String item, int y)
{
  show_item(item, 5, y);
  tft.fillRect(tft.width() - 30, 5, 30, tft.height() - 5, WHITE);

  tft.setTextColor(YELLOW, BLACK);
  tft.setCursor(0, (tft.height() * 6) / 8);
}

//always checks for new input from Serial1(the barcode scanner). Sends the value over Serial to processing.
void scan() {
  int counter = 0;
  int i = 0;
  String val = "";
  String item = "";

  while (counter < 15) {
    while (Serial1.available()) {
      i = Serial1.read() - '0';
      if (counter < 13)
        val = val + i;
      counter++;
    }
  }
  //Serial.println(val);
  //  show_tft(val, y);
  //  y += 35;
  Serial.println(val);
  Serial1.flush();

}

//reads Serial input coming from processing
void readSerial() {
  int counter = 0;
  int i = 0;
  String val = "";
  String item = "";

  while (Serial.available()) {
    i = Serial.read();
    item = item + (char)i;
    counter++;
  }
  // }
  if (item.length() != 0) {
    show_tft(item, y);
    y += 35;
  }
}



























void touchButtons() {
  tft.fillRect(tft.width() - 30, 5, 30, tft.height() - 5, WHITE);
  up_btn.initButton(&tft,  tft.width() - 15, 15, 30, 30, WHITE, BLUE, WHITE, "^", 2);
  down_btn.initButton(&tft, tft.width() - 15, tft.height() - 15, 30, 30, WHITE, BLUE, WHITE, "v", 2);
  up_btn.drawButton(false);
  down_btn.drawButton(false);
  //
  //  test_btn.initButton(&tft, tft.width() / 2, tft.height() / 2, 50, 50, WHITE, BLUE, WHITE, "T", 2);
  //  test_btn.drawButton(false);
  //        while (1) {
  //        tp = ts.getPoint();
  //        pinMode(XM, OUTPUT);
  //        pinMode(YP, OUTPUT);
  //        if (tp.z < MINPRESSURE || tp.z > MAXPRESSURE) continue;
  //        if (tp.x > 450 && tp.x < 570  && tp.y > 450 && tp.y < 570) break;
  //        tft.setCursor(0, (tft.height() * 3) / 4);
  //               tft.fillScreen(BLACK);
  //        tft.print("tp.x=" + String(tp.x) + " tp.y=" + String(tp.y) + "   ");
  //
  //    }
}

void scroll() {
  bool down = Touch_getXY();
  up_btn.press(down && up_btn.contains(pixel_x, pixel_y));
  down_btn.press(down && down_btn.contains(pixel_x, pixel_y));
  if (up_btn.justReleased())
    up_btn.drawButton();
  if (down_btn.justReleased())
    down_btn.drawButton();
  if (up_btn.justPressed()) {
    up_btn.drawButton(true);
    Serial.println("UP");
    tft.fillRect(40, 80, 160, 80, GREEN);
  }
  if (down_btn.justPressed()) {
    down_btn.drawButton(true);
    Serial.println("DOWN");
    tft.fillRect(40, 80, 160, 80, RED);
  }

  //  test_btn.press(down && test_btn.contains(pixel_x, pixel_y));
  //  if (test_btn.justReleased())
  //    test_btn.drawButton();
  //  if (test_btn.justPressed()) {
  //    test_btn.drawButton(true);
  //    Serial.println("TEST");
  //    tft.fillRect(40, 80, 160, 80, GREEN);
  //  }
}
