//Project team Lincoln - Smart fridge addon 28/12/2020
//Mikus Vancans, Thirsa Chin-A-Kwie, Quinty van de Graaf, Stefan Minu, Alex te Riet, Wout Schutten, Menke Veerman

import processing.serial.*;
import http.requests.*;

Serial port;

String baseURL="https://"+"project.menkeveerman.com/api/";
String MAC = "9c:b6:d0:b9:0a:11";


void setup() {
  size(1000, 800);
  String portName = Serial.list()[0];
  println("Connected to: " + portName);
  port = new Serial(this, portName, 9600);
  port.bufferUntil('\n');
}

void draw() {
  read();
}

//a get request for information of an item (barcode) from the API. Returns name of item
String itemInfo(String barcode) {
  String name = "";
  //barcode = "1234";
  String format = "plain";
  println("Get ==================");
  String reqURL = "barcode/" + barcode + "?format=" + format;
  GetRequest get = new GetRequest("https://project.menkeveerman.com/api/scanner?barcode=" + barcode + "&fridge="+MAC+"&user=2&amount=1");
  get.send();
  name = get.getContent();

  return name;
}

//reads Serial port for incoming barcodes
void read() {
  String name = "";
  while (port.available() > 0) {
    delay(1000);
    String queue = port.readString(); 
    delay(1000);
    if (queue != null) {
      queue = queue.substring(0, queue.length()-2);
      println("queue is: " + queue);
      //name = itemInfo(queue);
      name = itemInfo(queue);
      println(name);
      }
    }
  
  if (name != null) {
    if (name.length() != 0 && name.length() < 40) {
      if (!(name.equals("404")) && !(name.equals("417")) && !(name.equals("422")) && !(name.equals("418")) && !(name.equals("419")) && !(name.equals("423")) && !(name.equals("425")) && !(name.equals("200"))){
      delay(1000);
      port.write(name);
    }
    }
  }
  
  delay(1000);
}
  //port.clear();
