<?php

namespace App\Http\Controllers;

use App\Models\Product;
use Error;
use Illuminate\Http\Request;

class ProductController extends Controller
{

    function getProductInfo(String $barcode){
        //see if database has it already in there
        $product = $this->productAlreadyExists($barcode);
        if($product != NULL){//product already exists
            $Product = [
                'status' => 'exists',
                'title' => $product['name'],
                'size' => $product['size'],
                'manufacturer' => $product['producer'],
                'barcode' => $barcode,
                'store' => 'database',
                'image' => $product['img_url'],
                'product_id' => $product['id']
            ];
            return $Product;
        }
        //get data of product thorugh the api
        $product = app('App\Http\Controllers\apiController')->getProductData($barcode);
        if($product['status'] == "ok"){
            $Product = [
                'status' => 'ok',
                'title' => $product['title'],
                'size' => $product['size'],
                'manufacturer' => $product['manufacturer'],
                'barcode' => $barcode,
                'store' => $product['store'],
                'image' => $product['image']
            ];
            return $Product;
        }
        $product = [
            'status' => 'not_found'
        ];
        return $product;
    }


    function productAlreadyExists(String $barcode){
        $product = Product::where('barcode', $barcode)->first();
        return $product;

    }

    function newProduct(Array $product){
        $newProduct = new Product();
        $newProduct->id = NULL;
        $newProduct->barcode = $product['barcode'];
        $newProduct->name = $product['title'];
        $newProduct->size = $product['size'];
        $newProduct->producer = $product['manufacturer'];
        $newProduct->img_url = $product['image'];
        $newProduct->save();

        $lastProduct = Product::where('barcode', $product['barcode'])->first();
        return $lastProduct->id;
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        // TEMPORARY
        return view('products.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
        $product=Product::find($id);

        dd($product);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
