<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Fridge;
use Illuminate\Support\Carbon;

class Stock extends Model
{
    use HasFactory;

    protected $casts = [
        'expire' => 'date',
    ];

    protected $guarded = [];

    public function fridge()
    {
        return $this->belongsTo(Fridge::class);
    }

    public function product()
    {
        return $this->hasOne(Product::class, 'id', 'product_id');
    }
}
