@extends('pages.layout.base')

@section('content')
<main class="flex-1 relative z-0 overflow-y-auto focus:outline-none tabindex="0">

    <div class="mt-8 max-w-6xl mx-auto px-4 sm:px-6 lg:px-8">
        <h2 class="text-3xl leading-6 font-bold text-gray-500">
            My fridge {{ $fridge->name }}
        </h2>
    </div>


    <div class="m-8">
        <div class="text-gray-600 mx-auto">
            Products
        </div>
        <ul class="mt-4 grid grid-cols-1 gap-6 md:grid-cols-4">

            @foreach($fridge->stock as $stock)

                <li id="radiogroup-option-0" tabindex="0" role="radio" aria-checked="true" class="group relative bg-white rounded-lg shadow-sm cursor-pointer focus:outline-none focus:ring-1 focus:ring-offset-2 focus:ring-indigo-500">
                    <div class="rounded-lg border border-gray-300 bg-white px-6 py-4 hover:border-gray-400 sm:flex sm:justify-between">
                        <div class="flex items-center">
                            <img class="mr-3 border object-cover w-14 h-10 rounded-md" src="https://www.hutten.eu/_cache/hutten-corporate/media/arlwv18834/witte_suiker_stretch_width1400_height600_crop-x50y50.jpg?hash=7171cbc813078c11" alt="Image">
                            <div class="text-sm">
                                <p class="font-medium text-gray-900 capitalize">
                                    {{ $stock->product->name }}
                                </p>
                                <div class="text-gray-500">
                                    <p class="sm:inline">{{ $stock->product->brand }} - {{ $stock->product->size }}</p>
                                </div>
                            </div>
                        </div>
                        <div class="mt-2 flex text-sm sm:mt-0 sm:block sm:ml-4 sm:text-right">
                            <div class="font-medium text-gray-900">
                                # {{ $stock->amount }}
                            </div>

                            <div class="ml-1 text-gray-500 sm:ml-0">
                                {{ $stock->expire->format('d.m.Y') }}
                            </div>

                        </div>
                    </div>
                </li>
            @endforeach
        </ul>
    </div>


</main>
@endsection
