@extends('pages.layout.base')

@section('content')
<div class="mt-8 p-4 rounded-md" >
    <div class="bg-white">
        <div class="max-w-7xl mx-auto py-12 px-4 sm:px-6 md:py-16 lg:px-8 lg:py-20">
          <h2 class="text-3xl font-extrabold tracking-tight text-gray-900 sm:text-4xl">
            <span class="block">Edit {{ $fridge->name }} </span>
            <span class="block text-indigo-600">Change the name and location</span>
          </h2>
          <div class="mt-8 flex">
            <div class="inline-flex rounded-md">
                <form name='test2' action="{{ route('fridge.update', $fridge->id) }}" method="POST" >
                    @csrf
                    @method('PUT')
                    <input class="border-2 rounded-md shadow" type="text" name="name" value="{{ $fridge->name }}" placeholder="Name" >
                    <input class="border-2 rounded-md shadow" type="text" name="location" value="{{ $fridge->location }}" placeholder="Location" required>
                    <div class="inline-flex items-center shadow justify-center  border border-transparent text-base font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700">
                        <button class="py-2 px-5 outline-none" type="submit">Update</button>
                    </div>
                </form>
            </div>
            @error('name') @php echo('<div class="p-2 rounded-md w-max-content bg-opacity-20 bg-red-700 text-red-700">') @endphp {{ $message }} @php echo('</div>') @endphp @enderror
            @error('location') @php echo('<div class="p-2 rounded-md w-max-content bg-opacity-20 bg-red-700 text-red-700">') @endphp {{ $message }} @php echo('</div>') @endphp @enderror
        </div>
    </div>
</div>
@endsection
