@extends('pages.layout.base')

@section('content')
    @php
        $fridges = \Illuminate\Support\Facades\Auth::user()->fridges()->get();
        $list = $fridges->pluck('id');
        $minimum = 0;
    @endphp

    <div class="flex-1 relative z-0 flex overflow-hidden">




<!------------------------------------------------------------------------------------------------------------------------------------------------------------------------grote vak ---------------------------------------------------------------------------------------------------------------->
        <main class="flex-1 relative z-0 overflow-y-auto focus:outline-none xl:order-last" tabindex="0">


            <div class="mt-8 max-w-6xl mx-auto px-4 sm:px-6 lg:px-8">
                <h2 class="text-3xl leading-6 font-bold text-gray-500">
                    My fridges
                </h2>
                <div class="mt-4 grid grid-cols-1 gap-5 sm:grid-cols-2 lg:grid-cols-3">

                    <!-- Card -->
                    @foreach($fridges as $fridge)
                        @php
                            $expired = $fridge->stock()->whereDate('expire', '<', Carbon\Carbon::now()->toDateString())->sum('stocks.amount');
                            $toExpire = $fridge->stock()->whereDate('expire', '<', Carbon\Carbon::now()->addDays(3)->toDateString())->whereDate('expire', '>=', Carbon\Carbon::now()->addDays(0)->toDateString())->sum('stocks.amount');
                            $good = $fridge->stock()->whereDate('expire', '>=', Carbon\Carbon::now()->addDays(3)->toDateString())->sum('stocks.amount')+$fridge->stock()->where('expire', '=', NULL)->sum('stocks.amount');
                        @endphp
                        <a href="{{ route('fridge.show', $fridge->id) }}" class="group">
                            <div class="bg-gray-50 overflow-hidden shadow rounded-lg group-hover:bg-blue-50">
                                <div class="p-5 group-hover:bg-blue-100 bg-gray-200 rounded-b-lg">
                                    <div class="flex items-center">
                                        <div class="flex-shrink-0">
                                            <svg class="h-8 w-8 my-auto text-blue-500 opacity-75" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                                                <path fill="currentColor" d="M440.1 355.2l-39.2-23 34.1-9.3c8.4-2.3 13.4-11.1 11.1-19.6l-4.1-15.5c-2.2-8.5-10.9-13.6-19.3-11.3L343 298.2 271.2 256l71.9-42.2 79.7 21.7c8.4 2.3 17-2.8 19.3-11.3l4.1-15.5c2.2-8.5-2.7-17.3-11.1-19.6l-34.1-9.3 39.2-23c7.5-4.4 10.1-14.2 5.8-21.9l-7.9-13.9c-4.3-7.7-14-10.3-21.5-5.9l-39.2 23 9.1-34.7c2.2-8.5-2.7-17.3-11.1-19.6l-15.2-4.1c-8.4-2.3-17 2.8-19.3 11.3l-21.3 81-71.9 42.2v-84.5L306 70.4c6.1-6.2 6.1-16.4 0-22.6l-11.1-11.3c-6.1-6.2-16.1-6.2-22.2 0l-24.9 25.4V16c0-8.8-7-16-15.7-16h-15.7c-8.7 0-15.7 7.2-15.7 16v46.1l-24.9-25.4c-6.1-6.2-16.1-6.2-22.2 0L142.1 48c-6.1 6.2-6.1 16.4 0 22.6l58.3 59.3v84.5l-71.9-42.2-21.3-81c-2.2-8.5-10.9-13.6-19.3-11.3L72.7 84c-8.4 2.3-13.4 11.1-11.1 19.6l9.1 34.7-39.2-23c-7.5-4.4-17.1-1.8-21.5 5.9l-7.9 13.9c-4.3 7.7-1.8 17.4 5.8 21.9l39.2 23-34.1 9.1c-8.4 2.3-13.4 11.1-11.1 19.6L6 224.2c2.2 8.5 10.9 13.6 19.3 11.3l79.7-21.7 71.9 42.2-71.9 42.2-79.7-21.7c-8.4-2.3-17 2.8-19.3 11.3l-4.1 15.5c-2.2 8.5 2.7 17.3 11.1 19.6l34.1 9.3-39.2 23c-7.5 4.4-10.1 14.2-5.8 21.9L10 391c4.3 7.7 14 10.3 21.5 5.9l39.2-23-9.1 34.7c-2.2 8.5 2.7 17.3 11.1 19.6l15.2 4.1c8.4 2.3 17-2.8 19.3-11.3l21.3-81 71.9-42.2v84.5l-58.3 59.3c-6.1 6.2-6.1 16.4 0 22.6l11.1 11.3c6.1 6.2 16.1 6.2 22.2 0l24.9-25.4V496c0 8.8 7 16 15.7 16h15.7c8.7 0 15.7-7.2 15.7-16v-46.1l24.9 25.4c6.1 6.2 16.1 6.2 22.2 0l11.1-11.3c6.1-6.2 6.1-16.4 0-22.6l-58.3-59.3v-84.5l71.9 42.2 21.3 81c2.2 8.5 10.9 13.6 19.3 11.3L375 428c8.4-2.3 13.4-11.1 11.1-19.6l-9.1-34.7 39.2 23c7.5 4.4 17.1 1.8 21.5-5.9l7.9-13.9c4.6-7.5 2.1-17.3-5.5-21.7z"></path>
                                            </svg>
                                        </div>
                                        <div class="ml-5 w-0 flex-1">
                                            <dl>
                                                <dt class="text-base font-medium text-gray-600 truncate uppercase">
                                                    {{ $fridge->name }}
                                                </dt>
                                                <dd>
                                                    <div class="text-sm font-medium text-gray-400 uppercase">
                                                        {{ $fridge->device }}
                                                    </div>
                                                </dd>
                                            </dl>
                                        </div>
                                    </div>
                                </div>
                                <div class="flex justify-end items-center px-5 py-3 text-gray-600 space-x-4 group-hover:bg-blue-50">
                                    <div class="flex items-center space-x-1">
                                        <svg class="h-5 w-5 text-green-500" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z" >
                                        </svg>
                                        <span>
                                            {{ $good }}
                                        </span>
                                    </div>
                                    <div class="flex items-center space-x-1">
                                        <svg class="h-5 w-5 text-yellow-600"xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 8v4m0 4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z" />
                                        </svg>
                                        <span>
                                            {{ $toExpire }}
                                        </span>
                                    </div>
                                    <div class="flex items-center space-x-1">
                                        <svg class="h-5 w-5 text-red-600" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M10 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2m7-2a9 9 0 11-18 0 9 9 0 0118 0z" />
                                        </svg>
                                        <span>
                                            {{ $expired }}
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </a>
                    @endforeach
                </div>
            </div>


            <div class="max-w-6xl mx-auto mt-8">
                <div class="mx-10 mx-auto px-4 sm:px-6 lg:px-8">
                    <h2 class="font-bold text-3xl text-gray-500 mb-4">Overview</h2>
                    <div class="mt-2 grid grid-cols-1 gap-5 sm:grid-cols-1 md:grid-cols-2 lg:grid-cols-2 xl:grid-cols-2 2xl:grid-cols-3">
                        <!-- Card -->
                        @foreach($userInventory->where('expire', '!=', NULL)->where('expire', '<', Carbon\Carbon::now()->addDays(3)->toDateString())->sortByDesc('expire') as $stock)
                            @php
                                $now = Carbon\Carbon::now()->toDateString();
                                $future = Carbon\Carbon::now()->addDays(3)->toDateString();
                                if(isset($stock->expire)){
                                    $expire = $stock->expire->toDateString();
                                }
                                else {
                                    $expire = Carbon\Carbon::now()->addDays(10)->toDateString();
                                }
                                if($now > $expire){  //expired
                                    $color = "text-red-600";
                                }
                                else if($expire >= $future){  //almost expiring
                                    $color = "text-green-500";
                                }
                                else{ //fine
                                    $color = "text-yellow-600";
                                }
                            @endphp
                            <a href="{{ route('stocks.edit', $stock->id) }}">
                                <div class="bg-white rounded-lg shadow-sm cursor-pointer focus:outline-none focus:ring-1 focus:ring-offset-2 focus:ring-indigo-500">
                                    <div class="rounded-lg border border-gray-300 bg-white px-6 py-4 hover:border-gray-400 flex justify-between">
                                        <div class="flex items-center">
                                            <img class="mr-3 border object-cover w-14 h-10 rounded-md" src="{{ $stock->product->image }}" alt="Image">
                                            <div class="text-sm">
                                                <p class="font-medium text-gray-900 capitalize">
                                                    {{ $stock->product->name }}
                                                </p>
                                                <div class="text-gray-500">
                                                    <p class="sm:inline capitalize">
                                                        {{ $stock->product->brand }} - {{ $stock->product->size }}
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mt-2 text-right text-sm">
                                            <div class="font-medium text-gray-900">
                                                {{ $stock->fridge->name ?? $stock->fridge_id }}  #{{ $stock->amount }}
                                            </div>
                                            <div class="ml-1 {{ $color }} ">
                                                @if(isset($stock->expire))
                                                    {{ $stock->expire->format('d.m.Y') }}
                                                @else
                                                    -
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        @endforeach
                    </div>
                </div>
            </div>
        </main>
                <!--
                        <a href="#" >
                            <div class="bg-white overflow-hidden shadow rounded-lg hover:border-purple-500 border-4  hover:border-opacity-100">
                            <div class="p-5">
                                <div class="flex items-center">
                                <div class="flex-shrink-0">
                                    < !-- Heroicon name: scale -- >
                                    <div class="w-20 h-20 rounded-md">

                                            <svg class="p-2 w-full h-full" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 9a2 2 0 012-2h.93a2 2 0 001.664-.89l.812-1.22A2 2 0 0110.07 4h3.86a2 2 0 011.664.89l.812 1.22A2 2 0 0018.07 7H19a2 2 0 012 2v9a2 2 0 01-2 2H5a2 2 0 01-2-2V9z"></path><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 13a3 3 0 11-6 0 3 3 0 016 0z"></path>
                                            </svg>

                                    </div>
                                </div>
                                <div class="ml-5 w-0 flex-1">
                                    <dl>
                                    <dd class=" text-xl text-indigo-500 font-medium  truncate">
                                        Kristalsuiker
                                    </dd>
                                    <dl>
                                        <div class="flex">
                                        <dt class=" mr-auto text-lg -mt-1 text-gray-500 font-medium ">
                                            <div class="flex">
                                            <p>
                                                #1
                                            </p>
                                            <p class="mx-3">
                                                -
                                            </p>
                                            <p>
                                                500Gr
                                            </p>
                                            </dt>
                                        </div>
                                        <div class="text-lg mr-1 -mb-3 text-gray-500 flex font-medium ">
                                            @ php
                                                $now = Carbon\Carbon::now()->toDateString();
                                                $future = Carbon\Carbon::now()->addDays(3)->toDateString();
                                                $expire = $stock->expire->toDateString();
                                                if($now > $expire){
                                                    echo("
                                                        <svg class=\"mt-0.5 h-4 w-4 text-red-600\" xmlns=\"http://www.w3.org/2000/svg\" fill=\"none\" viewBox=\"0 0 24 24\" stroke=\"currentColor\">
                                                            <path stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-width=\"2\" d=\"M10 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2m7-2a9 9 0 11-18 0 9 9 0 0118 0z\" />
                                                        </svg>
                                                    ");
                                                }
                                                else if($expire <= $future && $expire > $now){
                                                    echo("
                                                    <svg class=\"mt-0.5 h-4 w-4 text-yellow-600\"xmlns=\"http://www.w3.org/2000/svg\" fill=\"none\" viewBox=\"0 0 24 24\" stroke=\"currentColor\">
                                                        <path stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-width=\"2\" d=\"M12 8v4m0 4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z\" />
                                                    </svg>
                                                    ");
                                                }
                                                else{
                                                    echo("
                                                    <svg class=\"mt-0.5 h-4 w-4 text-green-500\" xmlns=\"http://www.w3.org/2000/svg\" fill=\"none\" viewBox=\"0 0 24 24\" stroke=\"currentColor\">
                                                        <path stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-width=\"2\" d=\"M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z\" >
                                                    </svg>
                                                    ");
                                                }
                                                echo($expire);
                                            @ endphp
                                        </div>
                                        </div>
                                        <div>
                                    </dd>
                                    </dl>
                                </div>
                                </div>
                            </div>
                            <div class=" bg-gray-50 px-5 py-3">
                                <div class="flex text-lg text-gray-500">
                                    <div class="flex mr-auto"> Edit
                                    </div>
                                    <div class="flex text-sm text-gray-300">
                                    <svg class="h-5 w-5 text-gray-400" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 4v1m6 11h2m-6 0h-2v4m0-11v3m0 0h.01M12 12h4.01M16 20h4M4 12h4m12 0h.01M5 8h2a1 1 0 001-1V5a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1zm12 0h2a1 1 0 001-1V5a1 1 0 00-1-1h-2a1 1 0 00-1 1v2a1 1 0 001 1zM5 20h2a1 1 0 001-1v-2a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1z"></path>
                                    </svg>
                                    <div class="ml-1">
                                        { { $stock->product->barcode }}
                                    </div>
                                    </div>
                                </div>
                            </div>
                            </div>
                        </a>

                < !-- More items... -- >
              </div>
            </div>

        </main>
        -->
        <!--------------------------------------------------------------------------------------------------------------------------------------------------------------------------Eind groot/ start klein---------------------------------------------------------------------------------------------------------------->
        <aside class="hidden relative xl:order-first xl:flex xl:flex-col flex-shrink-0 w-96 border-r border-gray-200">
          <!-- Start secondary column (hidden on smaller screens) ->
          <div class="absolute inset-0 py-6 px-4 sm:px-6 lg:px-8">
            <div class="h-full border-4 border-gray-200 border-dashed rounded-lg"></div>
          </div>
          <!- End secondary column -->
            <div>
                <div class="font-bold text-xl text-gray-500 mb-1 ml-4">
                    Recent activity
                </div>
                <ul class="space-y-4 mx-4">
                    @foreach($recentlyAdded as $item)
                        @php
                            $now = Carbon\Carbon::now()->toDateString();
                            $future = Carbon\Carbon::now()->addDays(3)->toDateString();
                            if(isset($item->expire)){
                                    $expire = $item->expire->toDateString();
                            }
                            else {
                                $expire = Carbon\Carbon::now()->addDays(10)->toDateString();
                            }
                            if($now > $expire){  //expired
                                $color = "text-red-600";
                            }
                            else if($expire >= $future){  //almost expiring
                                $color = "text-green-500";
                            }
                            else{ //fine
                                $color = "text-yellow-600";
                            }
                        @endphp
                        <li>
                        <a href="{{ route('stocks.edit', $item->id) }}" class=" group relative bg-white rounded-lg shadow-sm cursor-pointer focus:outline-none focus:ring-1 focus:ring-offset-2 focus:ring-indigo-500">
                            <div class="rounded-lg border border-gray-300 bg-white px-6 py-4 hover:border-gray-400 sm:flex sm:justify-between">
                                <div class="flex items-center">
                                    <img class="mr-3 border object-cover w-14 h-10 rounded-md" src="{{ $item->product->image }}" alt="Image">
                                    <div class="text-sm">
                                        <p class="font-medium text-gray-900 capitalize">
                                            {{ $item->product->name }}
                                        </p>
                                        <div class="text-gray-500">
                                            <p class="sm:inline">{{ $item->product->brand }} - {{ $item->product->size }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="mt-2 flex text-sm sm:mt-0 sm:block sm:ml-4 sm:text-right">
                                    <div class="font-medium text-gray-900">
                                       {{ $item->fridge->name ?? $item->fridge_id }}   #{{ $item->amount }}
                                    </div>

                                    <div class="ml-1 {{ $color }} sm:ml-0">
                                        @if(isset($item->expire))
                                            {{ $item->expire->format('d.m.Y') }}
                                        @else
                                            -
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </a>
                    </li>
                    @endforeach
                </ul>
            </div>
        </aside>
        <!------------------------------------------------------------------------------------------------------------------------------------------------------------------------Eind kleine vak ------------------------------------------------------------------------------------------------------------------------------------------------------------------------>
      </div>
    </div>
  </div>
@endsection
