@extends('pages.layout.base')
@section('content')

    <div class="m-10">
        @php
            $minimum = 0;
        @endphp
        <div class="w-80">
            <div class="mt-6">
                Results for barcode {{ $product->barcode }}
            </div>
            <form method="post" action="{{ route('scans.store') }}">
                @csrf
                @method('post')
                <input name="product_id" type="hidden" value="{{ $product->id }}">
                <input name="barcode" type="hidden" value="{{ $product->barcode }}">
                <input id="jsAmount" name="amount" type="hidden" value="0">
                <input name="fridge_id" type="hidden" value="{{ $fridge->id }}">
                <div class="flex flex-col mt-6 space-y-6">
                    <div class="text-2xl font-bold text-gray-700">
                        {{ $product->name }}
                    </div>
                    <div>
                        <input name="expire" type="date">
                    </div>
                    <div class="flex flex-row justify-between items-center ">
                        <button type=button onclick="subtract()" class="w-16 h-16 rounded-full text-blue-500 opacity-75 hover:opacity-100">
                            <svg class="" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 12H9m12 0a9 9 0 11-18 0 9 9 0 0118 0z"></path>
                            </svg>
                        </button>
                        <div id="jsResult" class="text-gray-700 text-4xl font-bold"></div>
                        <button type="button" onclick="add()" class="w-16 h-16 rounded-full text-green-500 opacity-75 hover:opacity-100">
                            <svg class="" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 9v3m0 0v3m0-3h3m-3 0H9m12 0a9 9 0 11-18 0 9 9 0 0118 0z"></path>
                            </svg>
                        </button>
                    </div>
                    <div class=" flex justify-between items-center space-x-4">
                        <a href="{{ route('scans.index') }}" class="w-1/2 py-3 rounded-lg text-white text-lg font-semibold bg-gray-700 text-center">cancel</a>
                        <button id="jsSubmit" disabled class="w-1/2 py-3 rounded-lg text-white text-lg font-semibold bg-blue-500 opacity-40" type="submit">submit</button>
                    </div>
                </div>
            </form>
            <div class="w-full mt-10">
                <img src="{{ $product->image }}" alt="Image">
            </div>
        </div>
    </div>

<script>
    let minimum = {{ $minimum }}*-1;
    let x = document.getElementById("jsAmount");
    let y = document.getElementById('jsResult');
    let submit = document.getElementById('jsSubmit');
    y.innerHTML = parseInt(x.value);
    let z=0;

    function toggleSubmit(item) {
        if(item !=0) {
            submit.disabled = false;
            submit.classList.remove('opacity-40')
            submit.classList.add('opacity-100')
        } else {
            submit.disabled = true;
            submit.classList.remove('opacity-100')
            submit.classList.add('opacity-40')
        }
    }

    function add() {
        let z = parseInt(x.value) + 1;
        y.innerHTML = z;
        x.value = z;
        toggleSubmit(z);
    }

    function subtract() {
        if(x.value > minimum) {
            z = parseInt(x.value) - 1;
        } else {
            z = parseInt(x.value);
        }
        y.innerHTML = z;
        x.value = z;
        toggleSubmit(z);
    }

    function setFridge(id, $items) {
        document.getElementById('inputFridge').value = id;
        $items.forEach(function (item, index) {
            if (item === id) {
                document.getElementById('fridge-'+item).classList.remove('bg-gray-200');
                document.getElementById('fridge-'+item).classList.add('bg-white');
            } else {
                document.getElementById('fridge-'+item).classList.remove('bg-white');
                document.getElementById('fridge-'+item).classList.add('bg-gray-200');
            }
        })
    }
</script>

@endsection
