@extends('pages.layout.base')

@section('content')
<div class="mt-8 p-4 rounded-md" >
    <div class="bg-white">
        <div class="max-w-7xl mx-auto py-12 px-4 sm:px-6 md:py-16 lg:px-8 lg:py-20">
          <h2 class="text-3xl font-extrabold tracking-tight text-gray-900 sm:text-4xl">
            <span class="block">Edit {{ $stock->product->name }} </span>
            <span class="block text-indigo-600">Change the amount of items, there are currently {{ $stock->amount }} inside {{ $stock->fridge->name }}</span>
          </h2>
          <div class="mt-8 flex">
            <div class="inline-flex rounded-md shadow">
                <form name='test2' action="{{ route('stocks.update', $stock->id) }}" method="POST" class="inline-flex items-center justify-center border border-transparent text-base font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700">
                    @csrf
                    @method('PUT')
                    <input type="hidden" name="subtract" value="true">
                    <button type="submit" class=" px-5 py-3">Substract</button>
                </form>
            </div>
            <div class="ml-3 inline-flex">
                <form name="test" action="{{ route('stocks.update', $stock->id) }}" method="POST" class="inline-flex items-center justify-center border border-transparent text-base font-medium rounded-md text-indigo-700 bg-indigo-100 hover:bg-indigo-200">
                    @csrf
                    @method('PATCH')
                    <input type="hidden" name="add" value="true">
                    <button type="submit" class=" px-5 py-3">Add</button>
                </form>
            </div>
          </div>
        </div>
    </div>
    <div class="bg-white">
        <div class="max-w-7xl mx-auto py-12 px-4 sm:px-6 md:py-16 lg:px-8 lg:py-20">
          <h2 class="text-3xl font-extrabold tracking-tight text-gray-900 sm:text-4xl">
            <span class="block">Current expiry date: @if(isset($stock->expire)) {{ $stock->expire->format('Y-m-d') }} @else none @endif</span>
            <span class="block text-indigo-600">Change the expiry date</span>
          </h2>
          <div class="mt-8 flex">
              <form name="date" action="{{ route('stocks.update', $stock->id) }}" method="POST">
                @csrf
                @method('PUT')
                <div class="inline-flex rounded-md shadow">
                    <div class="inline-flex items-center justify-center px-5 py-3 border border-transparent text-base font-medium rounded-md text-gray-700 bg-indigo-600 hover:bg-indigo-700">
                        <input type="date" name="date" value="@if(isset($stock->expire)) {{ $stock->expire->format('Y-m-d') }} @endif">
                    </div>
                </div>
                <div class="ml-3 inline-flex">
                    <div class="inline-flex items-center justify-center border border-transparent text-base font-medium rounded-md text-indigo-700 bg-indigo-100 hover:bg-indigo-200">
                    <button type="submit" class="p-5">UpDate</button>
                </form>
            </div>
          </div>
        </div>
    </div>
    <div class="xl:w-1/2 xl:-mt-48 xl:ml-auto">
        <img class="mx-auto roudned-xl object-cover w-60 h-60 " src="{{ $stock->product->image }}" alt="Image">
    </div>
</div>
@endsection
