<?php

use App\Http\Controllers\FridgeController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\ScanController;
use App\Http\Controllers\StockController;
use Illuminate\Support\Facades\Route;
use App\Models\Stock;
use App\Models\Scan;
use App\Models\Fridge;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', function () {

    return view('pages.startscreen');
});

Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
    $fridges = Fridge::select('id')
            ->where('user_id', auth()->user()->id)
            ->get()
            ->toArray();
        //return $fridges;
        $userInventory = Stock::whereIn('fridge_id', $fridges)
            ->with('product')
            ->with('fridge')
            ->orderBy('product_id', 'asc')
            ->orderBy('expire', 'desc')
            ->get();
        $recentlyAdded = Scan::whereIn('fridge_id', $fridges)
            ->orderBy('created_at', 'desc')
            ->take(8)->get();


            //return ($userInventory);die;
    return view('pages.dashboard', compact('userInventory', 'recentlyAdded'));
})->middleware(['auth:sanctum', 'verified']);


Route::middleware(['auth:sanctum', 'verified'])->resource('stocks', StockController::class);
Route::middleware(['auth:sanctum', 'verified'])->resource('products', ProductController::class);
Route::middleware(['auth:sanctum', 'verified'])->resource('scans', ScanController::class);
Route::middleware(['auth:sanctum', 'verified'])->resource('fridge', FridgeController::class);

//Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
//    return view('dashboard');
//})->name('dashboard');
