<?php $__env->startSection('content'); ?>
<div class="mt-8 p-4 rounded-md" >
    <div class="bg-white">
        <div class="max-w-7xl mx-auto py-12 px-4 sm:px-6 md:py-16 lg:px-8 lg:py-20">
          <h2 class="text-3xl font-extrabold tracking-tight text-gray-900 sm:text-4xl">
            <span class="block">Edit <?php echo e($stock->product->name); ?> </span>
            <span class="block text-indigo-600">Change the amount of items, there are currently <?php echo e($stock->amount); ?> inside <?php echo e($stock->fridge->name); ?></span>
          </h2>
          <div class="mt-8 flex">
            <div class="inline-flex rounded-md shadow">
                <form name='test2' action="<?php echo e(route('stocks.update', $stock->id)); ?>" method="POST" class="inline-flex items-center justify-center border border-transparent text-base font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>
                    <input type="hidden" name="subtract" value="true">
                    <button type="submit" class=" px-5 py-3">Substract</button>
                </form>
            </div>
            <div class="ml-3 inline-flex">
                <form name="test" action="<?php echo e(route('stocks.update', $stock->id)); ?>" method="POST" class="inline-flex items-center justify-center border border-transparent text-base font-medium rounded-md text-indigo-700 bg-indigo-100 hover:bg-indigo-200">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PATCH'); ?>
                    <input type="hidden" name="add" value="true">
                    <button type="submit" class=" px-5 py-3">Add</button>
                </form>
            </div>
          </div>
        </div>
    </div>
    <div class="bg-white">
        <div class="max-w-7xl mx-auto py-12 px-4 sm:px-6 md:py-16 lg:px-8 lg:py-20">
          <h2 class="text-3xl font-extrabold tracking-tight text-gray-900 sm:text-4xl">
            <span class="block">Current expiry date: <?php if(isset($stock->expire)): ?> <?php echo e($stock->expire->format('Y-m-d')); ?> <?php else: ?> none <?php endif; ?></span>
            <span class="block text-indigo-600">Change the expiry date</span>
          </h2>
          <div class="mt-8 flex">
              <form name="date" action="<?php echo e(route('stocks.update', $stock->id)); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <?php echo method_field('PUT'); ?>
                <div class="inline-flex rounded-md shadow">
                    <div class="inline-flex items-center justify-center px-5 py-3 border border-transparent text-base font-medium rounded-md text-gray-700 bg-indigo-600 hover:bg-indigo-700">
                        <input type="date" name="date" value="<?php if(isset($stock->expire)): ?> <?php echo e($stock->expire->format('Y-m-d')); ?> <?php endif; ?>">
                    </div>
                </div>
                <div class="ml-3 inline-flex">
                    <div class="inline-flex items-center justify-center border border-transparent text-base font-medium rounded-md text-indigo-700 bg-indigo-100 hover:bg-indigo-200">
                    <button type="submit" class="p-5">UpDate</button>
                </form>
            </div>
          </div>
        </div>
    </div>
    <div class="xl:w-1/2 xl:-mt-48 xl:ml-auto">
        <img class="mx-auto roudned-xl object-cover w-60 h-60 " src="<?php echo e($stock->product->image); ?>" alt="Image">
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('pages.layout.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/menkeveerman/WebApps/smartfridge/resources/views/stocks/edit.blade.php ENDPATH**/ ?>