<!-- This example requires Tailwind CSS v2.0+ -->
<div x-data="{open: false}" class="h-screen flex overflow-hidden bg-white">
    <!-- Off-canvas menu for mobile, show/hide based on off-canvas menu state. -->
    <div x-show="open" class="lg:hidden">
        <div class="fixed inset-0 flex z-40">
        <!--
          Off-canvas menu overlay, show/hide based on off-canvas menu state.

          Entering: "transition-opacity ease-linear duration-300"
            From: "opacity-0"
            To: "opacity-100"
          Leaving: "transition-opacity ease-linear duration-300"
            From: "opacity-100"
            To: "opacity-0"
        -->
            <div class="fixed inset-0">
                <div class="absolute inset-0 bg-gray-600 opacity-75"></div>
            </div>
        <!--
          Off-canvas menu, show/hide based on off-canvas menu state.

          Entering: "transition ease-in-out duration-300 transform"
            From: "-translate-x-full"
            To: "translate-x-0"
          Leaving: "transition ease-in-out duration-300 transform"
            From: "translate-x-0"
            To: "-translate-x-full"
        -->
            <div tabindex="0" class="relative flex-1 flex flex-col max-w-xs w-full bg-white focus:outline-none">
                <div class="absolute top-0 right-0 -mr-12 pt-2">
                    <button @click="open = false" type="button" class="ml-1 flex items-center justify-center h-10 w-10 rounded-full focus:outline-none focus:ring-2 focus:ring-inset focus:ring-white">
                        <span class="sr-only">Close sidebar</span>
                        <!-- Heroicon name: x -->
                        <svg class="h-6 w-6 text-white" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                        </svg>
                    </button>
                </div>
                <div class="flex-1 h-0 pt-5 pb-4 overflow-y-auto">
                    <div class="flex-shrink-0 flex items-center px-4">
                        <!-- smart fridge logo -->
                        <svg class="h-12" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 297.74 153">
                            <rect x="1.5" y="1.5" width="294.74" height="150" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:3px"/>
                            <line x1="15.54" y1="1.5" x2="14.66" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:9px"/>
                            <line x1="63.28" y1="1.5" x2="62.41" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:9px"/>
                            <line x1="48.25" y1="1.5" x2="47.37" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:9px"/>
                            <line x1="32.2" y1="1.5" x2="32.2" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:3px"/>
                            <line x1="76.06" y1="1.5" x2="76.06" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:3px"/>
                            <line x1="88.34" y1="1.5" x2="87.46" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:2px"/>
                            <line x1="101.5" y1="1.5" x2="101.5" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:7px"/>
                            <line x1="129.57" y1="1.5" x2="129.57" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:4px"/>
                            <line x1="140.1" y1="1.5" x2="140.1" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:7px"/>
                            <line x1="155.01" y1="1.5" x2="155.01" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:5px"/>
                            <polygon points="296.24 1.5 178.69 76.5 296.24 151.5 296.24 1.5" style="fill:#61ccf3"/>
                            <line x1="169.04" y1="1.5" x2="168.17" y2="151.5" style="fill:none;stroke:#0e0910;stroke-miterlimit:10;stroke-width:3px"/>
                        </svg>
                        <div class="flex-row">
                            <div class="font-bold text-indigo-600 ml-2">
                                Smart Fridge
                            </div>
                            <div class="font-bold text-indigo-600 ml-2 -mt-1 text-sm">
                                Add-On
                            </div>
                        </div>
                    </div>
                    <nav aria-label="Sidebar" class="mt-5">
                        <div class="px-2 space-y-1">
                            <!-- Current: "bg-gray-100 text-gray-900", Default: "text-gray-600 hover:bg-gray-50 hover:text-gray-900" -->
                            <a href="#" class="<?php if(Request::is('dashboard')): ?> bg-gray-200 text-gray-900 <?php else: ?> text-gray-600 hover:bg-gray-50 hover:text-gray-900 <?php endif; ?> group flex items-center px-2 py-2 text-base font-medium rounded-md">
                                <!-- Current: "text-gray-500", Default: "text-gray-400 group-hover:text-gray-500" -->
                                <!-- Heroicon name: home -->
                                <svg class="text-gray-400 group-hover:text-gray-500 mr-4 h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 12l2-2m0 0l7-7 7 7M5 10v10a1 1 0 001 1h3m10-11l2 2m-2-2v10a1 1 0 01-1 1h-3m-6 0a1 1 0 001-1v-4a1 1 0 011-1h2a1 1 0 011 1v4a1 1 0 001 1m-6 0h6" />
                                </svg>
                                Dashboard
                            </a>

                            <?php
                                $fridges = auth()->user()->fridges()->get();
                                $list = $fridges->pluck('id');
                                $minimum = 0;
                            ?>

                            <?php
                                if(isset($fridge)){
                                    $currentFridge = $fridge->id;
                                }
                                else{
                                    $currentFridge = 0;
                                }
                            ?>
                            <?php $__currentLoopData = $fridges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fridge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <a href="<?php echo e(route('fridge.show', $fridge->id)); ?>" class="<?php if(Route::currentRouteName()==='fridge.show' && $currentFridge == $fridge->id): ?> bg-gray-200 text-gray-900 <?php else: ?> text-gray-600 hover:bg-gray-50 hover:text-gray-900 <?php endif; ?> group flex items-center px-2 py-2 text-sm font-medium rounded-md">
                                    <!-- Heroicon name: ice-flocon -->
                                    <svg class="text-gray-400 group-hover:text-gray-500 mr-4 h-6 w-6" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                                        <path fill="currentColor" d="M440.1 355.2l-39.2-23 34.1-9.3c8.4-2.3 13.4-11.1 11.1-19.6l-4.1-15.5c-2.2-8.5-10.9-13.6-19.3-11.3L343 298.2 271.2 256l71.9-42.2 79.7 21.7c8.4 2.3 17-2.8 19.3-11.3l4.1-15.5c2.2-8.5-2.7-17.3-11.1-19.6l-34.1-9.3 39.2-23c7.5-4.4 10.1-14.2 5.8-21.9l-7.9-13.9c-4.3-7.7-14-10.3-21.5-5.9l-39.2 23 9.1-34.7c2.2-8.5-2.7-17.3-11.1-19.6l-15.2-4.1c-8.4-2.3-17 2.8-19.3 11.3l-21.3 81-71.9 42.2v-84.5L306 70.4c6.1-6.2 6.1-16.4 0-22.6l-11.1-11.3c-6.1-6.2-16.1-6.2-22.2 0l-24.9 25.4V16c0-8.8-7-16-15.7-16h-15.7c-8.7 0-15.7 7.2-15.7 16v46.1l-24.9-25.4c-6.1-6.2-16.1-6.2-22.2 0L142.1 48c-6.1 6.2-6.1 16.4 0 22.6l58.3 59.3v84.5l-71.9-42.2-21.3-81c-2.2-8.5-10.9-13.6-19.3-11.3L72.7 84c-8.4 2.3-13.4 11.1-11.1 19.6l9.1 34.7-39.2-23c-7.5-4.4-17.1-1.8-21.5 5.9l-7.9 13.9c-4.3 7.7-1.8 17.4 5.8 21.9l39.2 23-34.1 9.1c-8.4 2.3-13.4 11.1-11.1 19.6L6 224.2c2.2 8.5 10.9 13.6 19.3 11.3l79.7-21.7 71.9 42.2-71.9 42.2-79.7-21.7c-8.4-2.3-17 2.8-19.3 11.3l-4.1 15.5c-2.2 8.5 2.7 17.3 11.1 19.6l34.1 9.3-39.2 23c-7.5 4.4-10.1 14.2-5.8 21.9L10 391c4.3 7.7 14 10.3 21.5 5.9l39.2-23-9.1 34.7c-2.2 8.5 2.7 17.3 11.1 19.6l15.2 4.1c8.4 2.3 17-2.8 19.3-11.3l21.3-81 71.9-42.2v84.5l-58.3 59.3c-6.1 6.2-6.1 16.4 0 22.6l11.1 11.3c6.1 6.2 16.1 6.2 22.2 0l24.9-25.4V496c0 8.8 7 16 15.7 16h15.7c8.7 0 15.7-7.2 15.7-16v-46.1l24.9 25.4c6.1 6.2 16.1 6.2 22.2 0l11.1-11.3c6.1-6.2 6.1-16.4 0-22.6l-58.3-59.3v-84.5l71.9 42.2 21.3 81c2.2 8.5 10.9 13.6 19.3 11.3L375 428c8.4-2.3 13.4-11.1 11.1-19.6l-9.1-34.7 39.2 23c7.5 4.4 17.1 1.8 21.5-5.9l7.9-13.9c4.6-7.5 2.1-17.3-5.5-21.7z"></path>
                                    </svg>
                                    <?php echo e($fridge->name); ?>

                                </a>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <a href="<?php echo e(route('fridge.index')); ?>" class="<?php if(Route::currentRouteName()==='fridge.index'): ?> bg-gray-200 text-gray-900 <?php else: ?> text-gray-600 hover:bg-gray-50 hover:text-gray-900 <?php endif; ?> group flex items-center px-2 py-2 text-base font-medium rounded-md">
                                <!-- Heroicon name: speakerphone -->
                                <svg class="text-gray-400 group-hover:text-gray-500 mr-4 h-6 w-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 6V4m0 2a2 2 0 100 4m0-4a2 2 0 110 4m-6 8a2 2 0 100-4m0 4a2 2 0 110-4m0 4v2m0-6V4m6 6v10m6-2a2 2 0 100-4m0 4a2 2 0 110-4m0 4v2m0-6V4"></path>
                                </svg>
                                Manage fridges
                            </a>

                            <a href="<?php echo e(route('scans.index')); ?>" class="<?php if(Route::currentRouteName()==='scans.index'): ?> bg-gray-200 text-gray-900 <?php else: ?> text-gray-600 hover:bg-gray-50 hover:text-gray-900 <?php endif; ?> group flex items-center px-2 py-2 text-base font-medium rounded-md">
                                <!-- Heroicon name: qr-code -->
                                <svg class="text-gray-400 group-hover:text-gray-500 mr-4 h-6 w-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 4v1m6 11h2m-6 0h-2v4m0-11v3m0 0h.01M12 12h4.01M16 20h4M4 12h4m12 0h.01M5 8h2a1 1 0 001-1V5a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1zm12 0h2a1 1 0 001-1V5a1 1 0 00-1-1h-2a1 1 0 00-1 1v2a1 1 0 001 1zM5 20h2a1 1 0 001-1v-2a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1z"></path>
                                </svg>
                                Add scan
                            </a>
                        </div>
                    </nav>
                </div>
                <form action="<?php echo e(route('logout')); ?>" method="POST"  class="flex-shrink-0 flex border-t border-gray-200 p-4">
                    <?php echo csrf_field(); ?>
                    <button type="submit" value="submit" class="flex-shrink-0 group block">
                        <div class="flex items-center">
                            <div>
                                <img class="inline-block h-10 w-10 rounded-full" src="https://images.unsplash.com/photo-1517365830460-955ce3ccd263?ixlib=rb-=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=8&w=256&h=256&q=80" alt="">
                            </div>
                            <div class="ml-3">
                                <p class="text-base font-medium text-gray-700 group-hover:text-gray-900">
                                    <?php echo e(auth()->user()->name); ?>

                                </p>
                                <p class="text-sm font-medium text-gray-500 group-hover:text-gray-700">
                                    Sign out
                                </p>
                            </div>
                        </div>
                    </button>
                </form>
            </div>
            <div class="flex-shrink-0 w-14" aria-hidden="true">
                <!-- Force sidebar to shrink to fit close icon -->
            </div>
        </div>
    </div>

    <!-- Static sidebar for desktop -->
    <div class="hidden lg:flex lg:flex-shrink-0">
        <div class="flex flex-col w-64">
            <!-- Sidebar component, swap this element with another sidebar if you like -->
            <div class="flex flex-col h-0 flex-1 border-r border-gray-200 bg-gray-100">
                <div class="flex-1 flex flex-col pt-5 pb-4 overflow-y-auto">
                    <div class="flex items-center flex-shrink-0 px-4">
                        <svg class="h-8" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 297.74 153">
                            <rect x="1.5" y="1.5" width="294.74" height="150" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:3px"/>
                            <line x1="15.54" y1="1.5" x2="14.66" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:9px"/>
                            <line x1="63.28" y1="1.5" x2="62.41" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:9px"/>
                            <line x1="48.25" y1="1.5" x2="47.37" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:9px"/>
                            <line x1="32.2" y1="1.5" x2="32.2" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:3px"/>
                            <line x1="76.06" y1="1.5" x2="76.06" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:3px"/>
                            <line x1="88.34" y1="1.5" x2="87.46" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:2px"/>
                            <line x1="101.5" y1="1.5" x2="101.5" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:7px"/>
                            <line x1="129.57" y1="1.5" x2="129.57" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:4px"/>
                            <line x1="140.1" y1="1.5" x2="140.1" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:7px"/>
                            <line x1="155.01" y1="1.5" x2="155.01" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:5px"/>
                            <polygon points="296.24 1.5 178.69 76.5 296.24 151.5 296.24 1.5" style="fill:#61ccf3"/>
                            <line x1="169.04" y1="1.5" x2="168.17" y2="151.5" style="fill:none;stroke:#0e0910;stroke-miterlimit:10;stroke-width:3px"/>
                        </svg>
                        <div class="flex-row">
                            <div class="font-bold text-indigo-600 ml-2">
                                Smart Fridge
                            </div>
                            <div class="font-bold text-indigo-600 ml-2 -mt-1 text-sm">
                                Add-On
                            </div>
                        </div>
                    </div>
                    <nav class="mt-5 flex-1" aria-label="Sidebar">
                        <div class="px-2 space-y-1">
                            <!-- oCurrent: "bg-gray-200 text-gray-900", Default: "text-gray-600 hover:bg-gray-50 hover:text-gray-900" -->

                            <a href="/dashboard" class="<?php if(Request::is('dashboard')): ?> bg-gray-200 text-gray-900 <?php else: ?> text-gray-600 hover:bg-gray-50 hover:text-gray-900 <?php endif; ?> group flex items-center px-2 py-2 text-sm font-medium rounded-md">
                                <!-- Current: "text-gray-500", Default: "text-gray-400 group-hover:text-gray-500" -->
                                <!-- Heroicon name: home -->
                                <svg class="text-gray-400 group-hover:text-gray-500 mr-3 h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 12l2-2m0 0l7-7 7 7M5 10v10a1 1 0 001 1h3m10-11l2 2m-2-2v10a1 1 0 01-1 1h-3m-6 0a1 1 0 001-1v-4a1 1 0 011-1h2a1 1 0 011 1v4a1 1 0 001 1m-6 0h6" />
                                </svg>
                                Dashboard
                            </a>
                            <?php $__currentLoopData = $fridges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fridge): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <a href="<?php echo e(route('fridge.show', $fridge->id)); ?>" class="<?php if(Route::currentRouteName()==='fridge.show' && $currentFridge == $fridge->id): ?> bg-gray-200 text-gray-900 <?php else: ?> text-gray-600 hover:bg-gray-50 hover:text-gray-900 <?php endif; ?> group flex items-center px-2 py-2 text-sm font-medium rounded-md">
                                    <!-- Heroicon name: ice-flocon -->
                                    <svg class="text-gray-400 group-hover:text-gray-500 mr-4 h-6 w-6" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                                        <path fill="currentColor" d="M440.1 355.2l-39.2-23 34.1-9.3c8.4-2.3 13.4-11.1 11.1-19.6l-4.1-15.5c-2.2-8.5-10.9-13.6-19.3-11.3L343 298.2 271.2 256l71.9-42.2 79.7 21.7c8.4 2.3 17-2.8 19.3-11.3l4.1-15.5c2.2-8.5-2.7-17.3-11.1-19.6l-34.1-9.3 39.2-23c7.5-4.4 10.1-14.2 5.8-21.9l-7.9-13.9c-4.3-7.7-14-10.3-21.5-5.9l-39.2 23 9.1-34.7c2.2-8.5-2.7-17.3-11.1-19.6l-15.2-4.1c-8.4-2.3-17 2.8-19.3 11.3l-21.3 81-71.9 42.2v-84.5L306 70.4c6.1-6.2 6.1-16.4 0-22.6l-11.1-11.3c-6.1-6.2-16.1-6.2-22.2 0l-24.9 25.4V16c0-8.8-7-16-15.7-16h-15.7c-8.7 0-15.7 7.2-15.7 16v46.1l-24.9-25.4c-6.1-6.2-16.1-6.2-22.2 0L142.1 48c-6.1 6.2-6.1 16.4 0 22.6l58.3 59.3v84.5l-71.9-42.2-21.3-81c-2.2-8.5-10.9-13.6-19.3-11.3L72.7 84c-8.4 2.3-13.4 11.1-11.1 19.6l9.1 34.7-39.2-23c-7.5-4.4-17.1-1.8-21.5 5.9l-7.9 13.9c-4.3 7.7-1.8 17.4 5.8 21.9l39.2 23-34.1 9.1c-8.4 2.3-13.4 11.1-11.1 19.6L6 224.2c2.2 8.5 10.9 13.6 19.3 11.3l79.7-21.7 71.9 42.2-71.9 42.2-79.7-21.7c-8.4-2.3-17 2.8-19.3 11.3l-4.1 15.5c-2.2 8.5 2.7 17.3 11.1 19.6l34.1 9.3-39.2 23c-7.5 4.4-10.1 14.2-5.8 21.9L10 391c4.3 7.7 14 10.3 21.5 5.9l39.2-23-9.1 34.7c-2.2 8.5 2.7 17.3 11.1 19.6l15.2 4.1c8.4 2.3 17-2.8 19.3-11.3l21.3-81 71.9-42.2v84.5l-58.3 59.3c-6.1 6.2-6.1 16.4 0 22.6l11.1 11.3c6.1 6.2 16.1 6.2 22.2 0l24.9-25.4V496c0 8.8 7 16 15.7 16h15.7c8.7 0 15.7-7.2 15.7-16v-46.1l24.9 25.4c6.1 6.2 16.1 6.2 22.2 0l11.1-11.3c6.1-6.2 6.1-16.4 0-22.6l-58.3-59.3v-84.5l71.9 42.2 21.3 81c2.2 8.5 10.9 13.6 19.3 11.3L375 428c8.4-2.3 13.4-11.1 11.1-19.6l-9.1-34.7 39.2 23c7.5 4.4 17.1 1.8 21.5-5.9l7.9-13.9c4.6-7.5 2.1-17.3-5.5-21.7z"></path>
                                    </svg>
                                    <?php echo e($fridge->name); ?>

                                </a>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <a href="<?php echo e(route('fridge.index')); ?>" class="<?php if(Route::currentRouteName()==='fridge.index'): ?> bg-gray-200 text-gray-900 <?php else: ?> text-gray-600 hover:bg-gray-50 hover:text-gray-900 <?php endif; ?> group flex items-center px-2 py-2 text-sm font-medium rounded-md">
                                <!-- Heroicon name: adjust -->
                                <svg class="text-gray-400 group-hover:text-gray-500 mr-4 h-6 w-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 6V4m0 2a2 2 0 100 4m0-4a2 2 0 110 4m-6 8a2 2 0 100-4m0 4a2 2 0 110-4m0 4v2m0-6V4m6 6v10m6-2a2 2 0 100-4m0 4a2 2 0 110-4m0 4v2m0-6V4"></path>
                                </svg>
                                Manage fridges
                            </a>

                            <a href="<?php echo e(route('scans.index')); ?>" class="<?php if(Route::currentRouteName()==='scans.index'): ?> bg-gray-200 text-gray-900 <?php else: ?> text-gray-600 hover:bg-gray-50 hover:text-gray-900 <?php endif; ?> group flex items-center px-2 py-2 text-sm font-medium rounded-md">
                                <!-- Heroicon name: qr-code -->
                                <svg class="text-gray-400 group-hover:text-gray-500 mr-4 h-6 w-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 4v1m6 11h2m-6 0h-2v4m0-11v3m0 0h.01M12 12h4.01M16 20h4M4 12h4m12 0h.01M5 8h2a1 1 0 001-1V5a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1zm12 0h2a1 1 0 001-1V5a1 1 0 00-1-1h-2a1 1 0 00-1 1v2a1 1 0 001 1zM5 20h2a1 1 0 001-1v-2a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1z"></path>
                                </svg>
                                Add scan
                            </a>
                        </div>
                    </nav>
                </div>
                <form action="<?php echo e(route('logout')); ?>" method="POST" class="flex-shrink-0 flex border-t border-gray-200 p-4">
                    <?php echo csrf_field(); ?>
                    <button type="submit" value="submit" class="flex-shrink-0 w-full group block">
                        <div class="flex items-center">
                            <div>
                                <img class="inline-block h-9 w-9 rounded-full" src="https://images.unsplash.com/photo-1517365830460-955ce3ccd263?ixlib=rb-=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=8&w=256&h=256&q=80" alt="">
                            </div>
                            <div class="ml-3">
                                <p class="text-sm font-medium text-gray-700 group-hover:text-gray-900">
                                    <?php echo e(auth()->user()->name); ?>

                                </p>
                                <p class="text-xs font-medium text-gray-500 group-hover:text-gray-700">
                                    Sign out
                                </p>
                            </div>
                        </div>
                    </button>
                </form>
            </div>
        </div>
    </div>
    <div class="flex flex-col min-w-0 flex-1 overflow-hidden">
        <div class="lg:hidden">
            <div class="flex items-center justify-between bg-gray-50 border-b border-gray-200 px-4 py-1.5">
                <div>
                    <svg class="h-8" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 297.74 153">
                        <rect x="1.5" y="1.5" width="294.74" height="150" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:3px"/>
                        <line x1="15.54" y1="1.5" x2="14.66" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:9px"/>
                        <line x1="63.28" y1="1.5" x2="62.41" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:9px"/>
                        <line x1="48.25" y1="1.5" x2="47.37" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:9px"/>
                        <line x1="32.2" y1="1.5" x2="32.2" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:3px"/>
                        <line x1="76.06" y1="1.5" x2="76.06" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:3px"/>
                        <line x1="88.34" y1="1.5" x2="87.46" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:2px"/>
                        <line x1="101.5" y1="1.5" x2="101.5" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:7px"/>
                        <line x1="129.57" y1="1.5" x2="129.57" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:4px"/>
                        <line x1="140.1" y1="1.5" x2="140.1" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:7px"/>
                        <line x1="155.01" y1="1.5" x2="155.01" y2="151.5" style="fill:none;stroke:#000;stroke-miterlimit:10;stroke-width:5px"/>
                        <polygon points="296.24 1.5 178.69 76.5 296.24 151.5 296.24 1.5" style="fill:#61ccf3"/>
                        <line x1="169.04" y1="1.5" x2="168.17" y2="151.5" style="fill:none;stroke:#0e0910;stroke-miterlimit:10;stroke-width:3px"/>
                    </svg>
                </div>
                <div>
                    <button @click="open = true" type="button" class="-mr-3 h-12 w-12 inline-flex items-center justify-center rounded-md text-gray-500 hover:text-gray-900">
                        <span class="sr-only">Open sidebar</span>
                        <!-- Heroicon name: menu -->
                        <svg class="h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
                        </svg>
                    </button>
                </div>
            </div>
        </div>
<?php /**PATH /Users/menkeveerman/WebApps/smartfridge/resources/views/pages/layout/navigation.blade.php ENDPATH**/ ?>